<template>
  <b-navigation>
    <h4 class="navigation__heading">Admin portal</h4>
    <b-navigation-item
      v-for="entity in menu"
      :key="entity.id"
      :route="entity.route"
      :icon="entity.icon"
      :text="entity.text"
    />
  </b-navigation>
</template>

<script>
import { mapState } from 'vuex'
export default {
  name: 'AppNavigation',
  data() {
    return {
      menu: [],
      entities: [
        {
          id: 3,
          route: '/mover2',
          icon: 'group',
          text: 'Mover 2',
        },
        {
          id: 4,
          route: '/arc2',
          icon: 'group',
          text: 'ARC 2',
        },
        {
          id: 9, // == 9, required
          route: '/user-management',
          icon: 'group',
          text: 'User Management',
        },
      ],
    }
  },
  computed: {
    ...mapState('auth', ['user']),
  },
  created() {
    if (this.user.entityType !== 'Admin') {
      this.menu = this.entities.filter((item) => item.id !== 9)
    } else {
      this.menu = this.entities
    }
  },
  methods: {
    // entitiesByGroup(group) {
    //   return this.entities.filter((item) => item.group === group)
    // },
  },
}
</script>

<style>
.icon-chevron-left:before {
  color: #19acdb;
}
.icon-chevron-right:before {
  color: #19acdb;
}
</style>
